Subject: Rename URIHelper to URIBuilder
Description

Refactor:

old: \F3\FLOW3\MVC\View\Helper\URIHelper 
new: \F3\FLOW3\MVC\Web\Routing\URIBuilder

Associated revisions
Revision 7030ab49 - 2009-05-23 18:51 - Bastian Waidelich
FLOW3:
    -  Removed FLOW3\Utility\GenericCollection from repository, it's currently not needed. Resolves #3400
    -  Moved method setArgumentsFromRawRequestData() from Router to RequestBuilder. Resolves #3368
    -  Renamed URIHelper to URIBuilder. Removed Classes HelperInterface, AbstractHelper and InvalidViewHelper Exception. Adapted AbstractView &
ViewInterface. Resolves #3303
    -  Added section parameter to URIFor() method of the URIBuilder
    -  Refactored Base controllers - controllerContext is no instance variable anymore and will be created when passed to view in initializeView().
Resolves #3404
    -  ControllerContext is of scope prototype now. Added setter/getter for URIBuilder. Some cosmetic changes.
    -  Added getRequestPath() to Request.
    -  ControllerKeys (@controller, @action, @package, @subpackage and @format) can now be set by request arguments. Resolves #2853

History
#1 - 2009-05-18 21:40 - Bastian Waidelich
- Assigned To set to Bastian Waidelich

#2 - 2009-05-20 19:07 - Bastian Waidelich
- Status changed from New to Accepted

#3 - 2009-05-23 19:00 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2344.
